Skip to navigation

Create snapshot

Creates a new snapshot from a block storage volume. To preview pricing without creating anything, use POST /storage/snapshots/cost-estimate.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Request

This endpoint expects an object.
volumeIdstringRequiredformat: "uuid"
ID of the volume to create a snapshot from
namestringRequired
Name for the new snapshot
typeenumRequired

Type of the snapshot (data or root)

Allowed values:

Response

Snapshot created successfully
idstringformat: "uuid"
Unique identifier of the snapshot
namestring
Name of the snapshot
sizeGbinteger
Size of the snapshot in GB
statusstring
Current status of the snapshot
typeenum
Type of the snapshot, indicating whether it was taken of a root or data disk.
Allowed values:
volumeIdstringformat: "uuid"
ID of the volume the snapshot was created from, if any
regionstring
Label of the region where the snapshot is located
createdAtdatetime
When the snapshot was created
vmIdstring or nullformat: "uuid"
ID of the virtual machine the snapshot was created from, if any

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error